<template>
  <el-bus-crud ref="crud" v-bind="tableConfig" />
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/operationRecord/list',
        dialogNeedRequest: true,
        persistSelection: true,
        hasOperation: false,
        hasNew: false,
        columns: [
          { label: '页面', prop: 'moduleName' },
          { label: '动作', prop: 'function' },
          { label: '操作人', prop: 'createName' },
          { label: '操作时间', prop: 'createTime' },
          { label: 'IP地址', prop: 'ipAddress' },
          { label: '操作内容', prop: 'content' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [
              {
                label: '页面',
                id: 'module',
                type: 'bus-select-dict',
                el: {
                  code: 'OPERATION_RECORD_MODULE',
                  style: 'width:100%',
                },
              },
              { label: '动作', id: 'function', type: 'input' },
              { label: '操作人', id: 'createName', type: 'input' },
              { label: '操作内容', id: 'content', type: 'input', width: 500 },
              {
                label: '创建日期',
                id: 'createDateBeginStr',
                component: 'el-bus-date-range',
                commonFormat: true,
                commonFormatProps: ['createDateBeginStr', 'createDateEndStr'],
                customClass: 'in-bus-form',
              },
            ],
          },
        ],
        form: [],
        extraButtons: [],
        headerButtons: [],
      },
    }
  },
  head() {
    return {
      title: '操作日志',
    }
  },
}
</script>

<style lang="scss" scoped>
::v-deep {
  .el-upload {
    &-list__item {
      width: 345px;
      height: 128px;
    }
    &.el-upload--picture-card {
      width: 345px;
      height: 128px;
    }
  }
}
</style>
